local Vremon = CreateFrame("Frame")

local function Vremon_OnLoad()

--ClassIcon Portraits

local ValidUnits = { ["target"] = TargetFrameToT, ["focus"] = FocusFrameToT }
 
local function UpdatePortrait(self)
    local Class
    if UnitIsPlayer(self.unit) then 
        Class = select(2, UnitClass(self.unit))
    end
    if not Class then 
        SetPortraitTexture(self.ClassIcon, self.unit)
        self.ClassIcon:SetTexCoord(0, 1, 0, 1)   
        return 
    end
    self.ClassIcon:SetAtlas(GetClassAtlas(strlower(Class)))
end
 
local function CreateIcon(self)
    self.ClassIcon = self:CreateTexture()
    local f = self.ClassIcon
    f:SetAllPoints(self.portrait)
	
    local mask = self:CreateMaskTexture()
    mask:SetAllPoints(self.portrait)
    mask:SetTexture("Interface\\CharacterFrame\\TempPortraitAlphaMask", "CLAMPTOBLACKADDITIVE", "CLAMPTOBLACKADDITIVE")
    self.ClassIcon:AddMaskTexture(mask)
    
    f:SetDrawLayer(self.portrait:GetDrawLayer(), -1)
    self.portrait:Hide()
    self:HookScript("OnShow", UpdatePortrait)
    UpdatePortrait(self)
end
 
CreateIcon(TargetFrame)
CreateIcon(FocusFrame)
CreateIcon(TargetFrameToT)
CreateIcon(FocusFrameToT)
 
local f = CreateFrame("Frame")
f:RegisterEvent("PLAYER_TARGET_CHANGED")
f:RegisterEvent("PLAYER_FOCUS_CHANGED")
f:RegisterEvent("UNIT_TARGET")
f:SetScript("OnEvent", function(self, event, unit, ...)
    if event == "UNIT_TARGET" and ValidUnits[unit]  then
        UpdatePortrait(ValidUnits[unit])
    elseif event == "PLAYER_TARGET_CHANGED" and TargetFrame:IsShown() then
        UpdatePortrait(TargetFrame)
        if TargetFrameToT:IsShown() then
            UpdatePortrait(TargetFrameToT)
        end
    end
    if event == "PLAYER_FOCUS_CHANGED" and FocusFrame:IsShown()then
        UpdatePortrait(FocusFrame)
        if FocusFrameToT:IsShown() then
            UpdatePortrait(FocusFrameToT)
        end
    end
end)

--ClassColored Target/Focus Name/Healthbar

local function ClassColorBGName(self)
    if (self == TargetFrame or self == FocusFrame) and UnitIsPlayer(self.unit) then 
	cb = RAID_CLASS_COLORS[select(2, UnitClass(self.unit))] 
    self.nameBackground:SetVertexColor(cb.r, cb.g, cb.b)
	end
end
hooksecurefunc("TargetFrame_CheckFaction", ClassColorBGName)

local function VrmUnitClass(healthbar, unit)
                if UnitIsPlayer(unit) and UnitIsConnected(unit) and UnitClass(unit) and unit ~= "player" then
                    _, class = UnitClass(unit);
                    local c = RAID_CLASS_COLORS[class];
                    healthbar:SetStatusBarColor(c.r, c.g, c.b)
			    end
            end		
hooksecurefunc("UnitFrameHealthBar_Update", VrmUnitClass)
hooksecurefunc("HealthBar_OnValueChanged", function(self) VrmUnitClass(self, self.unit) end)

--Defensive Stance Aura

local stance = CreateFrame("Frame")
stance:RegisterEvent("PLAYER_ENTERING_WORLD")

local function CheckIcon(self, event, unit)
    if event == "PLAYER_SPECIALIZATION_CHANGED" and unit == "player" then
        self.texture:Hide() 
        if GetSpecialization() == 1 then -- 1 = Arms
            self:RegisterEvent("SPELLS_CHANGED")
            self:RegisterEvent("PLAYER_REGEN_ENABLED")
            self:RegisterEvent("PLAYER_REGEN_DISABLED")
        else
            self:UnregisterEvent("SPELLS_CHANGED")
            self:UnregisterEvent("PLAYER_REGEN_ENABLED")
            self:UnregisterEvent("PLAYER_REGEN_DISABLED")
            return
        end
    elseif event == "PLAYER_REGEN_ENABLED" then
        self.texture:Hide()
    elseif event == "PLAYER_REGEN_DISABLED" then
        self.texture:Show()
    end
    local isdefstance = GetPlayerAuraBySpellID(197690)
    if isdefstance and self.texture:GetTexture() ~= 132341 then
        self.texture:SetTexture(132341)
    elseif not isdefstance and self.texture:GetTexture() ~= 132349 then
        self.texture:SetTexture(132349)
    end
end
stance:SetScript("OnEvent", function(self, event, ...)
    local Class = select(2, UnitClass("player")) -- For Warriors only!
    if Class == "WARRIOR" then
        self.texture = self:CreateTexture(nil,"ARTWORK")
        self.texture:SetScale(0.48)
        self.texture:SetPoint("LEFT", UIParent, "CENTER", 143, -53)
        self:RegisterEvent("PLAYER_SPECIALIZATION_CHANGED")
        self:SetScript("OnEvent", CheckIcon)
        CheckIcon(self, "PLAYER_SPECIALIZATION_CHANGED", "player")
    end
end)
  
--Highlight Important Burst/Defensive Buffs on Enemy Target/Focus Frame 
--Target/Focus Frame Debuffs/Buffs rows distance between and size aura   

local spelllist = { 

--Warrior
[190456] = true, -- Ignore Pain
[52437] = true, -- Sudden Death
[1719] = true, -- Recklessness
[23920] = true, -- Spell Reflection 
[97463] = true, -- Rallying Cry
[107574] = true, -- Avatar
[118038] = true, -- Die by the Sword
[147833] = true, -- Intervene
[184364] = true, -- Enraged Regeneration
[197690] = true, -- Defensive Stance
[227847] = true, -- Bladestorm (Arms)
[236321] = true, -- War Banner (PvP Talent)
[262228] = true, -- Deadly Calm
[198817] = true, -- Sharpen Blade (Arms PvP Talent) - "next cast will..." buff
[324143] = true, -- Conqueror's Banner (Necrolord Ability) - on the warrior

--DK
[48707] = true,
[48265] = true,
[48792] = true,
[49039] = true,
[51271] = true,
[47568] = true,
[315443] = true,
[311648] = true,
[152279] = true,

--DH
[343312] = true, -- Furious Gaze
[187827] = true, -- Metamorphosis - Vengeance
[162264] = true, -- Metamorphosis - Havoc
[205629] = true, -- Demonic Trample
[206804] = true, -- Rain from Above (down)
[206803] = true, -- Rain from Above (up)
[209426] = true, -- Darkness
[212800] = true, -- Blur
[196555] = true, -- Netherwalk
[337567] = true, -- Chaotic Blades (Chaos Theory Legendary)

--Druid
[114108] = true, -- Soul of the Forest
[203554] = true, -- Focused 
[1850] = true, -- Dash
[252216] = true, -- Tiger Dash
[5217] = true, -- Tiger's Fury
[22812] = true, -- Barkskin
[22842] = true, -- Frenzied Regeneration
[29166] = true, -- Innervate
[33891] = true, -- Incarnation: Tree of Life (for the menu entry - "Incarnation" tooltip isn't informative)
[117679] = true, -- Incarnation (grants access to Tree of Life form)
[61336] = true, -- Survival Instincts
[102342] = true, -- Ironbark
[102543] = true, -- Incarnation: King of the Jungle
[102558] = true, -- Incarnation: Guardian of Ursoc
[102560] = true, -- Incarnation: Chosen of Elune
[106951] = true, -- Berserk (Feral)
[132158] = true, -- Nature's Swiftness
[155835] = true, -- Bristling Fur
[194223] = true, -- Celestial Alignment
[202425] = true, -- Warrior of Elune
[305497] = true, -- Thorns (PvP Talent)
[50334] = true, -- Berserk (Guardian)
[247563] = true, -- Nature's Grasp (Resto Entangling Bark PvP Talent)        
[319454] = true, -- Heart of the Wild
[108291] = true, -- with Balance Affinity
[108292] = true, -- with Feral Affinity
[108293] = true, -- with Guardian Affinity
[108294] = true, -- with Resto Affinity
[323764] = true, -- Convoke the Spirits (Night Fae Ability)
[323546] = true, -- Ravenous Frenzy (Venthyr Ability)
[338142] = true, -- Lone Empowerment (Kyrian Ability)
[327037] = true, -- Kindred Protection (Kyrian Ability)

--Hunter
[5384] = true, -- Feign Death
[19574] = true, -- Bestial Wrath
[186254] = true, -- Bestial Wrath buff on the pet
[53480] = true, -- Roar of Sacrifice (PvP Talent)
[54216] = true, -- Master's Call
[118922] = true, -- Posthaste
[186257] = true, -- Aspect of the Cheetah
[203233] = true, -- Hunting Pack (PvP Talent)
[186265] = true, -- Aspect of the Turtle
[186289] = true, -- Aspect of the Eagle
[193530] = true, -- Aspect of the Wild
[209997] = true, -- Play Dead
[260402] = true, -- Double Tap
[266779] = true, -- Coordinated Assault
[288613] = true, -- Trueshot
[202748] = true, -- Survival Tactics (PvP Talent)
[248519] = true, -- Interlope (BM PvP Talent)
[194594] = true, -- Lock and Load 
[324156] = true, -- Instant Killshot

--Mage
[230249] = true, -- Rune of Power
[278310] = true, -- Chain Reaction
[336821] = true, -- Combustion
[12042] = true, -- Arcane Power
[12051] = true, -- Evocation
[12472] = true, -- Icy Veins
[198144] = true, -- Ice Form  
[41425] = true, -- Hypothermia
[342242] = true, -- Time Warp procced by Time Anomality (Arcane Talent)
[87023] = true, -- Cauterize
[108839] = true, -- Ice Floes
[342246] = true, -- Alter Time (Arcane)
[110909] = true, -- Alter Time (Fire/Frost)
[190319] = true, -- Combustion
[198111] = true, -- Temporal Shield (Arcane PvP Talent)
[198158] = true, -- Mass Invisibility (Arcane PvP Talent)
[198065] = true, -- Prismatic Cloak (PvP Talent)
[205025] = true, -- Presence of Mind
[333100] = true, -- Firestorm (Fire Legendary)
[324220] = true, -- Deathborne (Necrolord Ability)

--Monk 
[325216] = true, -- Bonedust Brew
[335937] = true, -- Bonedust Brew
[120954] = true, -- Fortifying Brew (Brewmaster)
[243435] = true, -- Fortifying Brew (Windwalker/Mistweaver)
[116841] = true, -- Tiger's Lust
[337294] = true, -- Roll Out (Legendary)
[116849] = true, -- Life Cocoon
[122278] = true, -- Dampen Harm
[125174] = true, -- Touch of Karma (Buff)
[122783] = true, -- Diffuse Magic
[137639] = true, -- Storm, Earth, and Fire
[152173] = true, -- Serenity
[202162] = true, -- Avert Harm (Brew PvP Talent)
[209584] = true, -- Zen Focus Tea (MW PvP Talent)
[343249] = true, -- Escape from Reality (MW Monk Legendary)
[310454] = true, -- Weapons of Order (Kyrian Ability)
[202335] = true, -- Double Barrel (Brew PvP Talent) - "next cast will..." buff
[202248] = true, -- Guided Meditation (Brew PvP Talent)
[213664] = true, -- Nimble Brew (Brew PvP Talent)
[132578] = true, -- Invoke Niuzao, the Black Ox

-- Paladin
[498] = true, -- Divine Protection
[642] = true, -- Divine Shield
[1022] = true, -- Blessing of Protection
[204018] = true, -- Blessing of Spellwarding
[1044] = true, -- Blessing of Freedom
[305395] = true, -- Blessing of Freedom with Unbound Freedom (PvP Talent)
[6940] = true, -- Blessing of Sacrifice
[199448] = true, -- Blessing of Sacrifice (Ultimate Sacrifice Holy PvP Talent)
[199450] = true, -- Ultimate Sacrifice (Holy PvP Talent) - debuff on the paladin
[25771] = true, -- Forbearance
[31821] = true, -- Aura Mastery
[31850] = true, -- Ardent Defender
[31884] = true, -- Avenging Wrath
[216331] = true, -- Avenging Crusader (Holy Talent)
[231895] = true, -- Crusade (Retribution Talent)
[86659] = true, -- Guardian of Ancient Kings
[212641] = true, -- Guardian of Ancient Kings (Glyphed)
[228050] = true, -- Guardian of the Forgotten Queen (Protection PvP Talent)
[105809] = true, -- Holy Avenger
[152262] = true, -- Seraphim
[184662] = true, -- Shield of Vengeance
[199545] = true, -- Steed of Glory (Protection PvP Talent)
[205191] = true, -- Eye for an Eye
[210256] = true, -- Blessing of Sanctuary (Ret PvP Talent)
[210294] = true, -- Divine Favor (Holy PvP Talent)
[215652] = true, -- Shield of Virtue (Protection PvP Talent) - "next cast will..." buff
[157128] = true, -- Saved by the Light

-- Priest
[337661] = true, -- Translucent Image (Fade defensive Conduit)
[213602] = true, -- Greater Fade (Holy/Shadow PvP Talent)    
[10060] = true, -- Power Infusion
[33206] = true, -- Pain Suppression
[47536] = true, -- Rapture
[109964] = true, -- Spirit Shell
[47585] = true, -- Dispersion
[47788] = true, -- Guardian Spirit
[64843] = true, -- Divine Hymn
[81782] = true, -- Power Word: Barrier
[194249] = true, -- Voidform
[232707] = true, -- Ray of Hope (Holy PvP Talent)
[197862] = true, -- Archangel (Disc PvP Talent)
[197871] = true, -- Dark Archangel (Disc PvP Talent) - on the priest
[197874] = true, -- Dark Archangel (Disc PvP Talent) - on others
[200183] = true, -- Apotheosis
[213610] = true, -- Holy Ward
[215769] = true, -- Spirit of Redemption (Spirit of the Redeemer Holy PvP Talent)
[211336] = true, -- Archbishop Benedictus' Restitution (Holy Priest Revive Legendary)
[289655] = true, -- Holy Word: Concentration
[319952] = true, -- Surrender to Madness
[322431] = true, -- Thoughtsteal (Buff)    
[329543] = true, -- Divine Ascension (down)
[328530] = true, -- Divine Ascension (up)
[15286] = true, -- Vampiric Embrace
[19236] = true, -- Desperate Prayer
[325013] = true, -- Boon of the Ascended (Kyrian)
[121557] = true, -- Angelic Feather

-- Rogue
[1966] = true, -- Feint
[2983] = true, -- Sprint
[5277] = true, -- Evasion
[11327] = true, -- Vanish
[13750] = true, -- Adrenaline Rush
[31224] = true, -- Cloak of Shadows
[45182] = true, -- Cheating Death
[51690] = true, -- Killing Spree
[121471] = true, -- Shadow Blades
[185422] = true, -- Shadow Dance
[207736] = true, -- Shadowy Duel
[212283] = true, -- Symbols of Death
[199027] = true, -- Veil of Midnight (Subtlety PvP Talent)
[197003] = true, -- Maneuverability (PvP Talent)
[115192] = true, -- Subterfuge
[256735] = true, -- Master Assassin
[340094] = true, -- Master Assassin's Mark (Legendary)
[345569] = true, -- Flagellation (Venthyr Ability)
[347037] = true, -- Sepsis (Night Fae Ability)

-- Shaman
[337984] = true, -- Vital Earth Pet
[143474] = true, -- Healing Tide Totem
[77762] = true, -- Lava Surge
[208963] = true, -- Skyfury
[344179] = true, -- Maelstrom 
[114050] = true, -- Ascendance (Elemental)
[114051] = true, -- Ascendance (Enhancement)
[114052] = true, -- Ascendance (Restoration)
[204262] = true, -- Ghost Wolf
[8178] = true, -- Grounding Totem Effect (PvP Talent)
[79206] = true, -- Spiritwalker's Grace
[108281] = true, -- Ancestral Guidance
[325174] = true, -- Spirit Link Totem
[108271] = true, -- Astral Shift
[210918] = true, -- Ethereal Form (Enhancement PvP Talent)
[114049] = true, -- Ascendance  
[118337] = true, -- Harden Skin
[191634] = true, -- Stormkeeper (Ele)
[320137] = true, -- Stormkeeper (Enh)
[201633] = true, -- Earthen Wall Totem
[204366] = true, -- Thundercharge (Enhancement PvP Talent)
[335903] = true, -- Doom Winds
[260881] = true, -- Spirit Wolf
[290641] = true, -- Ancestral Gift
[320125] = true, -- Echoing Shock
[333957] = true, -- Feral Spirit
[204361] = true, -- Bloodlust (Enhancement PvP Talent)
[192082] = true, -- Windrush Totem
[338036] = true, -- Thunderous Paws (Conduit)
[327164] = true, -- Primordial Wave (Necrolord Ability)

    -- Warlock
[266030] = true, -- Reverse Entropy
[334320] = true, -- Inevitable Demise
[104773] = true, -- Unending Resolve
[108416] = true, -- Dark Pact
[111400] = true, -- Burning Rush
[113860] = true, -- Dark Soul: Misery (Affliction)
[113858] = true, -- Dark Soul: Instability (Destruction)
[265273] = true, -- Demonic Power (Demonic Tyrant)
[212295] = true, -- Nether Ward (PvP Talent)
[221705] = true, -- Casting Circle (PvP Talent)
[333889] = true, -- Fel Domination
[344566] = true, -- Rapid Contagion (Affliction PvP Talent)
[267171] = true, -- Demonic Strength
[267218] = true, -- Nether Portal
[339412] = true, -- Demonic Momentum (Conduit)
[364348] = true, -- Impending Ruin
[364349] = true, -- Ritual of Ruin 
[367679] = true, -- Blasphemy

--Others and  Legendaries

[345228] = true, -- Badge Trinket
[34709] = true, -- Shadow Sight
[310143] = true, -- Soulshape
[320224] = true, -- Podtender (Night Fae - Dreamweaver Trait)
[323524] = true, -- Ultimate Form (Necrolord - Marileth Trait)
[327140] = true, -- Forgeborne Reveries (Necrolord - Bonesmith Heirmir Trait)
[330752] = true, -- Ascendant Phial (Kyrian - Kleia Trait)
[332505] = true, -- Soulsteel Clamps (Kyrian - Mikanikos Trait)
[323095] = true, -- Fleshcraft
[332506] = true, -- Soulsteel Clamps (Kyrian - Mikanikos Trait) - when moving
[331937] = true, -- Euphoria(Venthyr)
[345230] = true, -- Ginsignia
[354054] = true -- Fatalflaw(Venthyr) 

     }	

local function HighlightBorder(self)   
    if not self.Buff then return end
	local playerborder = UnitIsPlayer(self.unit)
    for i = 1, MAX_TARGET_BUFFS do
        local spellId = select(10, UnitBuff(self.unit, i, nil))
        if not spellId then break end
        local frame = self.Buff[i]   
		if playerborder then
            if not frame.VremonInit then
                frame.VremonInit = true
                frame.Stealable:SetTexCoord(0.09,0.94,0.09,0.94)
                frame.Cooldown:SetScale(0.6)
            end
            if spelllist[spellId] then
                frame.Cooldown:SetHideCountdownNumbers(false)
                frame.Cooldown:SetDrawSwipe(false)
                frame.Cooldown:SetDrawEdge(false)
                frame.Stealable:Show()
            else
                frame.Cooldown:SetHideCountdownNumbers(true)
                frame.Cooldown:SetDrawSwipe(true)
                frame.Cooldown:SetDrawEdge(true)
                frame.Stealable:Hide()
            end
		end	
    end
end
   
local function ReAnchorAuras(self,auralist,numrows)
    numrows=numrows or 0;
    if not auralist then return numrows,nil; end
 
    local point,relpoint,offy="TOPLEFT","BOTTOMLEFT",-4;
    if self.buffsOnTop then point,relpoint,offy=relpoint,point,-offy; end
 
    local prevrowstart;
    local offset=self.buffsOnTop and numrows*6 or (numrows>2 and numrows*6-4 or numrows*4);
    for i,aura in ipairs(auralist) do
        if aura:IsShown() then
            local posindex=offset+i;
            local newrow; if self.buffsOnTop then
                newrow=posindex%6==1;
            elseif posindex/4>2 then
                newrow=posindex%6==3;
            else
                newrow=posindex%4==1;
            end
 
            if i>1 then
                aura:ClearAllPoints();
                if newrow then
                    aura:SetPoint(point,prevrowstart,relpoint,0,offy);
                else
                    aura:SetPoint("LEFT",auralist[i-1],"RIGHT",3,0);
                end
            end
 
            if newrow then numrows,prevrowstart=numrows+1,aura; end
 
            aura:SetSize(24,24);
            if aura.Border then aura.Border:SetSize(26,26); end
        else break; end
    end
 
    return numrows,prevrowstart;
end
 
local AuraCategoryOrder={
    [true]={
        {"Buff","buffs"};
        {"Debuff","debuffs"};
    };
    [false]={
        {"Debuff","debuffs"};
        {"Buff","buffs"};
    };
};
 
local function ProcessingRows(self)
    if self==TargetFrame or self==FocusFrame then
        local point,offy="BOTTOMLEFT",-4;
        if self.buffsOnTop then point,offy="TOPLEFT",-offy; end
 
        local numrows=0;
        for _,aurainfo in ipairs(AuraCategoryOrder[UnitIsFriend("player",self.unit)]) do
            local lastaurarow; numrows,lastaurarow=ReAnchorAuras(self,self[aurainfo[1]],numrows);
            if lastaurarow then
                self[aurainfo[2]]:SetPoint(point,lastaurarow,point,0,offy);
                self.spellbarAnchor=lastaurarow;-- 
            end
        end
 
        self.auraRows=numrows;
        if self.spellbar then Target_Spellbar_AdjustPosition(self.spellbar); end
    end
end	
	
hooksecurefunc("TargetFrame_UpdateAuras", function(self) 
ProcessingRows(self)
HighlightBorder(self)
 end)

              
--Player Frame

PlayerFrameGroupIndicator:SetAlpha(0)
PlayerFrame:UnregisterEvent("UNIT_COMBAT")
PlayerStatusTexture:SetTexture()
PlayerGuideIcon:SetAlpha(0)
PlayerLeaderIcon:SetAlpha(0)
PlayerPlayTime:GetParent().MultiGroupFrame:SetAlpha(0)
PlayerPrestigeBadge:SetAlpha(0)
PlayerPrestigePortrait:SetAlpha(0)
PlayerFrameRoleIcon:SetAlpha(0) 

--Focus Frame

FocusFrameToTTextureFrameName:Hide()
FocusFrameTextureFrameLeaderIcon:SetAlpha(0)
FocusFrameTextureFramePrestigeBadge:SetAlpha(0)
FocusFrameTextureFramePrestigePortrait:SetAlpha(0)
FocusFrameTextureFramePVPIcon:SetAlpha(0)

--Target Frame

TargetFrameToTTextureFrameName:Hide()
TargetFrameTextureFrameLeaderIcon:SetAlpha(0)
TargetFrameTextureFramePrestigeBadge:SetAlpha(0)
TargetFrameTextureFramePrestigePortrait:SetAlpha(0)
TargetFrameTextureFramePVPIcon:SetAlpha(0)

--Miscellaneous

GameTooltipStatusBar:SetAlpha(0)
MainMenuBarArtFrameBackground:Hide()
MainMenuBarArtFrame.LeftEndCap:Hide()
MainMenuBarArtFrame.RightEndCap:Hide()
UIErrorsFrame:SetAlpha(0)
StatusTrackingBarManager:SetAlpha(0)
MicroButtonAndBagsBar:Hide()
	 
--CVar

C_CVar.SetCVar("cameraPivot", 0)
C_CVar.SetCVar("WorldTextCritScreenY", 0.0426)
C_CVar.SetCVar("WorldTextScreenY", 0.053)
C_CVar.SetCVar("WorldTextGravity", 0.0)
C_CVar.SetCVar("threatWarning", 0)
C_CVar.SetCVar("WorldTextScale", 0.9)
C_CVar.SetCVar("nameplateMinAlpha", 1.0)
C_CVar.SetCVar("nameplateMaxDistance", 60)
C_CVar.SetCVar("nameplateMaxAlphaDistance", 60)
C_CVar.SetCVar("nameplateOtherTopInset", -1)
C_CVar.SetCVar("nameplateOtherBottomInset", -1)
C_CVar.SetCVar("nameplateOccludedAlphaMult",1)
C_CVar.SetCVar("breakUpLargeNumbers", 0)
C_CVar.SetCVar("floatingCombatTextCombatLogPeriodicSpells", 0)
C_CVar.SetCVar("cameraDistanceMaxZoomFactor", 2.3)
C_CVar.SetCVar("floatingCombatTextCombatDamageDirectionalScale", 0)
C_CVar.SetCVar("ShowClassColorInFriendlyNameplate", 0)

--ActionBar

PetActionButton1:ClearAllPoints()
PetActionButton1:SetPoint("RIGHT", ActionButton1 , "CENTER", 8, 135)

StanceButton1:ClearAllPoints()
StanceButton1:SetPoint("RIGHT", ActionButton1 , "CENTER", 247.5, 134)
StanceButton1.SetPoint = function() end

ActionBarUpButton:ClearAllPoints()
ActionBarUpButton:SetPoint("LEFT", ChatFrameMenuButton , "CENTER", -11.4, -21)

ActionButton1:ClearAllPoints()
ActionButton1:SetPoint("BOTTOM", "UIParent", "BOTTOM", -230.5, 1)
ActionButton1.SetPoint = function() end
MultiBarBottomRightButton7:ClearAllPoints()
MultiBarBottomRightButton7:SetPoint("BOTTOM", "UIParent", "BOTTOM", 21.5, 81)
MultiBarBottomRightButton7.SetPoint = function() end
MultiBarBottomRightButton1:ClearAllPoints()
MultiBarBottomRightButton1:SetPoint("BOTTOM", "UIParent", "BOTTOM", -230.5, 81)
MultiBarBottomRightButton1.SetPoint = function() end
MultiBarBottomLeftButton1:ClearAllPoints()
MultiBarBottomLeftButton1:SetPoint("BOTTOM", "UIParent", "BOTTOM", -230.5, 41)
MultiBarBottomLeftButton1.SetPoint = function() end

SlidingActionBarTexture0:SetAlpha(0)
SlidingActionBarTexture1:SetAlpha(0)

for i = 1, 12 do _G["ActionButton"..i]:SetScale(1.17) 
                 _G["MultiBarBottomLeftButton"..i]:SetScale(1.17) 
                 _G["MultiBarBottomRightButton"..i]:SetScale(1.17) 
                 _G["ActionButton"..i.."Name"]:SetAlpha(0)
                 _G["MultiBarBottomRightButton"..i.."Name"]:SetAlpha(0)
                 _G["MultiBarBottomLeftButton"..i.."Name"]:SetAlpha(0) end

--LossControlSelf

LossOfControlFrame:ClearAllPoints()
LossOfControlFrame:SetPoint("CENTER", UIParent, "CENTER", 64, 0)
LossOfControlFrame.SetPoint = function() end

LossOfControlFrame.TimeLeft.SecondsText:Hide()
LossOfControlFrame.AbilityName:Hide()

select(1,LossOfControlFrame:GetRegions()):SetAlpha(0)
select(2,LossOfControlFrame:GetRegions()):SetAlpha(0) 
select(3,LossOfControlFrame:GetRegions()):SetAlpha(0)

--Remove Realmname on Nameplates 

local function HideRealmName(self)
    if (not strfind(self.unit, "nameplate") or self:IsForbidden()) then return end
      if ShouldShowName(self) then  
	  if (UnitIsPlayer(self.unit)) then self.name:SetText(UnitName(self.unit))
    end
  end  
end
hooksecurefunc("CompactUnitFrame_UpdateName", HideRealmName)

--GameTooltip

hooksecurefunc("GameTooltip_SetDefaultAnchor", function(tooltip, parent)
    tooltip:SetOwner(parent, "ANCHOR_NONE");
    tooltip:SetPoint("BOTTOMRIGHT", UIParent, "BOTTOMRIGHT", -4.5, 36)
end)

end

Vremon:RegisterEvent("PLAYER_LOGIN")   
Vremon:SetScript("OnEvent",Vremon_OnLoad)
